package org.jeecg.modules.ctop.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.ctop.entity.KuaishouMatcostAccountMay;

import java.math.BigDecimal;

public interface KuaishouMatcostAccountMayMapper extends BaseMapper<KuaishouMatcostAccountMay> {
    String getMinDateByCode(@Param(value = "code") String code);

    void updateByCode(@Param(value = "code")String code, @Param(value = "minDate")String minDate);

    void updateCostByCode(@Param(value = "code")String code, @Param(value = "cost")BigDecimal cost);

    BigDecimal getCostByParams(@Param(value = "code")String videoCode, @Param(value = "startDate")String minDate, @Param(value = "endDate")String endDate);
}
